Returns the loop responsible for the watcher

- « EvWatcher::feed

- EvWatcher::invoke »

- PHP Manual
- EvWatcher
- Returns the loop responsible for the watcher

# EvWatcher::getLoop

(PECL ev >= 0.2.0)

EvWatcher::getLoop — Returns the loop responsible for the watcher

### Description

public EvWatcher::getLoop(): EvLoop

Returns the loop responsible for the watcher

### Parameters

This function has no parameters.

### Return Values

Returns EvLoop event loop object responsible for the watcher.